#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 these
version:              1.1.1.1
visibility:           public
id:                   these-1.1.1.1-HCT3gF3uwL72qo2YehDcCq
key:                  these-1.1.1.1-HCT3gF3uwL72qo2YehDcCq
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/isomorphism/these
synopsis:             An either-or-both data type.
description:
    This package provides a data type @These a b@ which can hold a value of either
    type or values of each type. This is usually thought of as an "inclusive or"
    type (contrasting @Either a b@ as "exclusive or") or as an "outer join" type
    (contrasting @(a, b)@ as "inner join").

    @
    data These a b = This a | That b | These a b
    @

    Since version 1, this package was split into parts:

    * <https://hackage.haskell.org/package/semialign semialign> For @Align@ and @Zip@ type-classes.

    * <https://hackage.haskell.org/package/semialign-indexed semialign-indexed> For @SemialignWithIndex@ class, providing @ialignWith@ and @izipWith@.

    * <https://hackage.haskell.org/package/these-lens these-lens> For lens combinators.

    * <http://hackage.haskell.org/package/monad-chronicle monad-chronicle> For transformers variant of @These@.

category:             Data, These
abi:                  21dcbe77b382bcf6e6e0bccfe9618915
exposed:              True
exposed-modules:      Data.Functor.These Data.These Data.These.Combinators
import-dirs:          /usr/lib/ghc-8.10.2/site-local/these-1.1.1.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/these-1.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/these-1.1.1.1
hs-libraries:         HSthese-1.1.1.1-HCT3gF3uwL72qo2YehDcCq
depends:
    assoc-1.0.2-IZcMsypSwRhGdx1TCLlGYy base-4.14.1.0 binary-0.8.8.0
    deepseq-1.4.4.0 hashable-1.3.0.0-9tpTdzPdswvKC0QIZR69Y8

haddock-interfaces:   /usr/share/doc/haskell-these/html/these.haddock
haddock-html:         /usr/share/doc/haskell-these/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

